default:
  tags:
    - pipeline

include:
  - project: 'Linaro/lkft/pipelines/lkft-common'
    file: '/rt/bootstrap.yml'

variables:
  LAVA_JOB_PRIORITY: 45

# This will only build and test branches specified here.
workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH =~ /^v.*-rt$/'
      when: always
    - if: '$CI_COMMIT_BRANCH =~ /^linux-.*-rt$/'
      when: always
    - when: never

stages:
  - download_prerequisites
  - prerequisites
  - build
  - sanity
  - test
  - report
  - review
  - upstream
